classification
Title: "make install" should run compileall in parallel
Type: enhancement Stage: resolved
Components: Build Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: blueyed, pitrou
Priority: normal Keywords: patch

Created on 2019-05-03 18:37 by pitrou, last changed 2019-06-06 13:15 by pitrou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13078 merged pitrou, 2019-05-03 19:09
Messages (4)
msg341350 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-05-03 18:37
Title says it all.  Currently, "make install" will bytecode-compile Python sources sequentially even though compileall supports doing it in parallel.
msg342603 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-05-15 21:45
New changeset 1a2dd82f56bd813aacc570e172cefe55a8a41504 by Antoine Pitrou in branch 'master':
bpo-36786: Run compileall in parallel during "make install" (GH-13078)
https://github.com/python/cpython/commit/1a2dd82f56bd813aacc570e172cefe55a8a41504
msg344811 - (view) Author: daniel hahler (blueyed) * Date: 2019-06-06 13:00
This can be closed as per https://github.com/python/cpython/commit/1a2dd82f56bd813aacc570e172cefe55a8a41504.
msg344814 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-06-06 13:15
Ah, I had forgotten to close this issue. Thanks.
History
Date User Action Args
2019-06-06 13:15:52pitrousetstatus: open -> closed
resolution: fixed
messages: + msg344814

stage: patch review -> resolved
2019-06-06 13:00:35blueyedsetnosy: + blueyed
messages: + msg344811
2019-05-15 21:45:21pitrousetmessages: + msg342603
2019-05-03 19:09:26pitrousetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request12993
2019-05-03 18:37:08pitroucreate